Package org.silverpeas.components.community.notification

## Class CommunityEventNotifier

- java.lang.Object
- - org.silverpeas.core.notification.system.CDIResourceEventNotifier<CommunityOfUsers,​CommunityEvent>
  - - org.silverpeas.components.community.notification.CommunityEventNotifier

- All Implemented Interfaces:
    `org.silverpeas.core.notification.system.ResourceEventNotifier<CommunityOfUsers,​CommunityEvent>`

      @Bean
      public final class CommunityEventNotifier
      extends org.silverpeas.core.notification.system.CDIResourceEventNotifier<CommunityOfUsers,​CommunityEvent>

  A notifier on the changes in the state of a Community business object.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CommunityEventNotifier()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected CommunityEvent` | `createResourceEventFrom​(org.silverpeas.core.notification.system.ResourceEvent.Type type, CommunityOfUsers... resource)` |
    `static CommunityEventNotifier` | `get()` |

    - ### Methods inherited from class org.silverpeas.core.notification.system.CDIResourceEventNotifier

      `notify, notifyEventOn`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommunityEventNotifier

          public CommunityEventNotifier()

  - ### Method Detail

    - #### get

          public static CommunityEventNotifier get()

    - #### createResourceEventFrom

          protected CommunityEvent createResourceEventFrom​(org.silverpeas.core.notification.system.ResourceEvent.Type type,
                                                           CommunityOfUsers... resource)

      Specified by:
        `createResourceEventFrom` in class `org.silverpeas.core.notification.system.CDIResourceEventNotifier<CommunityOfUsers,​CommunityEvent>`